package com.hzya.frame.seeyon.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.seeyon.dao.ISeeYonDao;
import com.hzya.frame.seeyon.entity.SeeyonEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * com.hzya.frame.seeyon.dao.impl
 *
 * @author yqh
 * @date 2023-08 -30 10:44
 */
@DS("htsqlserver")
@Repository(value = "seeYonDaoImpl")
public class SeeYonDaoImpl extends MybatisGenericDao<SeeyonEntity,String> implements ISeeYonDao {
    @DS("ht_oa_sqlserver")
    @Override
    public List<SeeyonEntity> selectOAListByTypeformson_0352(SeeyonEntity seeyon) {
        return (List<SeeyonEntity>) super.selectList("com.hzya.frame.seeyon.dao.impl.SeeYonDaoImpl.entity_list_base_formson_0352",seeyon);
    }
    @DS("ht_oa_sqlserver")
    @Override
    public List<SeeyonEntity> selectOAListByTypeformson_0324(SeeyonEntity seeyon) {
        return (List<SeeyonEntity>) super.selectList("com.hzya.frame.seeyon.dao.impl.SeeYonDaoImpl.entity_list_base_formson_0324",seeyon);
    }
    @DS("ht_oa_sqlserver")
    @Override
    public List<SeeyonEntity> selectOAListByTypeMain(SeeyonEntity seeyon) {
        return (List<SeeyonEntity>) super.selectList("com.hzya.frame.seeyon.dao.impl.SeeYonDaoImpl.entity_list_base_main",seeyon);
    }
    @DS("ht_oa_sqlserver")
    @Override
    public List<SeeyonEntity> selectFileUrl(SeeyonEntity seeyon) {
        return (List<SeeyonEntity>) super.selectList("com.hzya.frame.seeyon.dao.impl.SeeYonDaoImpl.entity_list_base_ctp_attachment",seeyon);
    }
    @DS("ht_oa_sqlserver")
    @Override
    public int updateFormStete(SeeyonEntity s) {
        return super.update("com.hzya.frame.seeyon.dao.impl.SeeYonDaoImpl.entity_update",s);
    }

    @DS("ht_oa_sqlserver")
    @Override
    public List<SeeyonEntity> selectOAListByTypeformmain_0327(SeeyonEntity seeyon) {
        return (List<SeeyonEntity>) super.selectList("com.hzya.frame.seeyon.dao.impl.SeeYonDaoImpl.entity_list_base_formmain_0327",seeyon);
    }

    @DS("ht_oa_sqlserver")
    @Override
    public int updateFormformmain_0327(SeeyonEntity seeyon) {
        return super.update("com.hzya.frame.seeyon.dao.impl.SeeYonDaoImpl.entity_update_formmain_0327",seeyon);
    }

    @DS("ht_oa_sqlserver")
    @Override
    public List<SeeyonEntity> selectOAListByField0258(SeeyonEntity seeyon) {
        return (List<SeeyonEntity>) super.selectList("com.hzya.frame.seeyon.dao.impl.SeeYonDaoImpl.entity_list_base_field0258",seeyon);
    }

    @DS("sowow_sqlserver_test")
    @Override
    public List<SeeyonEntity> selectOAListByCorp(SeeyonEntity seeyon) {
        return (List<SeeyonEntity>) super.selectList("com.hzya.frame.seeyon.dao.impl.SeeYonDaoImpl.entity_list_base_corp",seeyon);
    }

    @Override
    @DS("swoa_mysql")
    public int updateFormformmain_0237(SeeyonEntity seeyonEntity) {
        return super.update("com.hzya.frame.seeyon.dao.impl.SeeYonDaoImpl.entity_update_formmain_0237",seeyonEntity);
    }

    @Override
    @DS("swoa_mysql")
    public int updateFormformson_0238(SeeyonEntity seeyonEntity) {
        return super.update("com.hzya.frame.seeyon.dao.impl.SeeYonDaoImpl.entity_update_formson_0238",seeyonEntity);
    }

    @Override
    @DS("swoa_mysql")
    public SeeyonEntity selectOAListByformmain_0237(SeeyonEntity seeyonEntity) {
        return (SeeyonEntity) super.selectOne("com.hzya.frame.seeyon.dao.impl.SeeYonDaoImpl.entity_list_base_formmain_0237",seeyonEntity);
    }

    @DS("ht_oa_sqlserver")
    @Override
    public int updatepush(SeeyonEntity seeyon) {
        return super.update("com.hzya.frame.seeyon.dao.impl.SeeYonDaoImpl.entity_update_push",seeyon);
    }

}
